<!DOCTYPE html>
<html>
    <head>  
        <link rel="stylesheet" href="../static/style.css">
    </head>
    <header>
        <title>Search Engine (AI and Web Group 19)</title>
        <h1>Search Engine</h1>
        <div class="search-container">
            <form action="/search" method="GET">
                <input type="text" id="search-input" name="query" placeholder="Enter Search-terms here">
                <input type="submit" id="search-button">
            </form> 
        </div>
    </header>

    <body>
        <h2>
            Search results for : {{ searchTerms }}
        </h2>
        <h3>
            {{ corrected_msg }}
        </h3>
        <ul class = ResultList>
            {% for item in results %}
                <li>
                    <a href="{{item['url']}}">
                        <h3 >
                            {{ item['title'] }}
                        </h3>
                    </a>
                    <p class = URL>
                        {{ item['url'] }}
                    </p>
                    <p class = TeaserText>
                        {{ item['teaser'] }}
                    </p>
                </li>
            {% endfor %}
        </ul>
    </body>
</html>